# Uses of Interface
java.security.cert.CRLSelector

Packages that use CRLSelector
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of CRLSelector in java.security.cert

Classes in java.security.cert that implement CRLSelector
Modifier and Type
Class
Description
`class`
`X509CRLSelector`
A `CRLSelector` that selects `X509CRLs` that match all specified criteria.
Methods in java.security.cert with parameters of type CRLSelector
Modifier and Type
Method
Description
`abstract Collection<? extends CRL>`
CertStoreSpi.`engineGetCRLs(CRLSelector selector)`
Returns a `Collection` of `CRL`s that match the specified selector.
`final Collection<? extends CRL>`
CertStore.`getCRLs(CRLSelector selector)`
Returns a `Collection` of `CRL`s that match the specified selector.